| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | List of all members
Stencil Class Reference

Vertex stencil class wrapping the template for compatibility. More...

`#include <stencilTable.h>`

Inheritance diagram for Stencil:

## Public Member Functions
| Stencil ()
| Stencil (BaseStencil const &other)
| Stencil (int *size, Index *indices, float *weights)
Public Member Functions inherited from StencilReal< float >
| StencilReal ()
| Default constructor.
| StencilReal (int *size, Index *indices, float *weights)
| Constructor.
| StencilReal (StencilReal const &other)
| Copy constructor.
int | GetSize () const
| Returns the size of the stencil.
int * | GetSizePtr () const
| Returns the size of the stencil as a pointer.
Index const * | GetVertexIndices () const
| Returns the control vertices' indices.
float const * | GetWeights () const
| Returns the interpolation weights.
void | Next ()
| Advance to the next stencil in the table.

## Protected Types
typedef StencilReal< float > | BaseStencil

## Additional Inherited Members
Protected Attributes inherited from StencilReal< float >
int * | _size
Index * | _indices
float * | _weights

## Detailed Description

Vertex stencil class wrapping the template for compatibility.

Definition at line 116 of file stencilTable.h.

## Member Typedef Documentation

## ◆ BaseStencil

typedef StencilReal<float> BaseStencil
| protected

Definition at line 118 of file stencilTable.h.

## Constructor & Destructor Documentation

## ◆ Stencil() [1/3]

Stencil | ( |  | ) |
| inline

Definition at line 121 of file stencilTable.h.

## ◆ Stencil() [2/3]

Stencil | ( | BaseStencil const & | other | ) |
| inline

Definition at line 122 of file stencilTable.h.

## ◆ Stencil() [3/3]

Stencil | ( | int * | size,
|  | Index * | indices,
|  | float * | weights )
| inline

Definition at line 123 of file stencilTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTable.h